Name:           git-remote-hg
Version:        0.2
Release:        1%{?dist}
BuildArch:      noarch
Summary:        Mercurial wrapper for git
License:        GPLv2+
Group:          Development/Tools
URL:            https://github.com/felipec/git-remote-hg
Source0:        https://github.com/felipec/%{name}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires:  asciidoc >= 8.4.1
BuildRequires:  hg-git
BuildRequires:  python2-devel
Requires:       python
Requires:       git
Requires:       mercurial

%description
git-remote-hg is the semi-official Mercurial bridge from Git project.
Once installed, it allows you to clone, fetch and push to and from Mercurial
repositories as if they were Git ones.

%prep
%setup -q
sed -i -e "1 s|^#!.*|#!%{__python2}|" git-remote-hg
sed -i -e 's|\tinstall|\tinstall -p|' Makefile

%build
make doc

%check
make test

%install
export HOME=%{_prefix}
export DESTDIR=%{buildroot}
make install
make install-doc

%files
%doc LICENSE
%{_bindir}/git-remote-hg
%{_mandir}/man1/*

%changelog
* Thu Jun 19 2014 Ondrej Oprala <ooprala@redhat.com> - 0.2-1
- initial git-remote-hg spec file
